### Method

# Gsk GLShader get_source

deprecated: 4.16

#### Declaration [src]

    GBytes*
    gsk_gl_shader_get_source (
      GskGLShader* shader
    )

#### Description [src]

Gets the GLSL sourcecode being used to render this shader.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

Gets property | `Gsk.GLShader:source`

#### Return value

Type: `GBytes`

The source code for the shader.

The returned data is owned by the instance.